Home | All Classes | Grouped Classes | Index | Search

# Class CL_System

Generic functions that didn't fit in other places. More...

Derived from: none
Derived by: none
Group: Core (System)

#include <ClanLib/core.h>

Attributes:

get_time | Get the current time (since system boot), in milliseconds, including effects of suspend_time()
detect_mmx | Returns true if MMX technology is available on this CPU.
detect_3dnow | Returns true if 3DNow! technology is available on this CPU.
detect_ext_3dnow | Returns true if extended 3DNow! is present on this CPU.

Operations:

keep_alive | Checks for system events, updates input and other stuff.
sleep | Sleep for 'millis' milliseconds.
suspend_time | Suspend the time.
resume_time | Resumes the time.
get_exe_path | Returns the full dirname of the executable that started this process (aka argv[0])

Detailed description:

!group=Core/System! !header=core.h!
Questions or comments, write to the ClanLib mailing list.